// stdafx.h : Includedatei fuer Standardsystem-Includedateien,
// oder haeufig verwendete, projektspezifische Includedateien,
// die nur in unregelmaessigen Abstaenden geaendert werden.

#ifndef _STDAFX_H_
#define _STDAFX_H_

#ifdef __linux__
#include <unistd.h>
	//////////////////////////////////////////////////////////////////////
	// DEFINES
	#define Sleep(x) usleep(x * 1000)

	//////////////////////////////////////////////////////////////////////
	// INCLUDES
	#include <assert.h>
	#include <stdio.h>
	#include <stdarg.h>
	#include <sstream>
	#include <fstream>
	#include <string.h>
	#include <stdlib.h>

#else
	//////////////////////////////////////////////////////////////////////
	// DEFINES
	#define WIN32_LEAN_AND_MEAN		// Selten verwendete Teile der Windows-Header nicht einbinden

	//////////////////////////////////////////////////////////////////////
	// INCLUDES
	#include <windows.h>
	#include <cassert>
	#include <sstream>
	#include <fstream>
	#include <string>
#endif

// fcBase API
#ifdef __linux__
	#include "fcBase_ng/fcBaseTypes.h"
	#include "fcBase_ng/fcBaseTypesCAN.h"
	#include "fcBase_ng/fcBaseTypesPMC.h"
	#include "fcBase_ng/fcBase.h"
	#include "fcBase_ng/fcBaseCAN.h"
	#include "fcBase_ng/fcBasePMC.h"
#else
	#pragma comment(lib,"fcBase.lib")
	#include "fcBaseTypes.h"
	#include "fcBaseTypesCAN.h"
	#include "fcBaseTypesPMC.h"
	#include "fcBase.h"
	#include "fcBaseCAN.h"
	#include "fcBasePMC.h"
#endif

#endif /* _STDAFX_H_ */
